Bullet Collision Detection & Physics Library: btDeformableCorotatedForce Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
btDeformableCorotatedForce Class Reference

`#include <btDeformableCorotatedForce.h>`

Inheritance diagram for btDeformableCorotatedForce:
[legend]
Collaboration diagram for btDeformableCorotatedForce:
[legend]

## Public Types
typedef btAlignedObjectArray< btVector3 > | TVStack
Public Types inherited from btDeformableLagrangianForce
typedef btAlignedObjectArray< btVector3 > | TVStack

## Public Member Functions
| btDeformableCorotatedForce ()
| btDeformableCorotatedForce (btScalar mu, btScalar lambda)
virtual void | addScaledForces (btScalar scale, TVStack &force)
virtual void | addScaledExplicitForce (btScalar scale, TVStack &force)
virtual void | addScaledDampingForce (btScalar scale, TVStack &force)
virtual void | addScaledElasticForce (btScalar scale, TVStack &force)
void | firstPiola (const btMatrix3x3 &F, btMatrix3x3 &P)
virtual void | addScaledElasticForceDifferential (btScalar scale, const TVStack &dx, TVStack &df)
virtual void | addScaledDampingForceDifferential (btScalar scale, const TVStack &dv, TVStack &df)
virtual void | buildDampingForceDifferentialDiagonal (btScalar scale, TVStack &diagA)
virtual btDeformableLagrangianForceType | getForceType ()
Public Member Functions inherited from btDeformableLagrangianForce
| btDeformableLagrangianForce ()
virtual | ~btDeformableLagrangianForce ()
virtual void | addScaledForces (btScalar scale, TVStack &force)=0
virtual void | addScaledDampingForceDifferential (btScalar scale, const TVStack &dv, TVStack &df)=0
virtual void | buildDampingForceDifferentialDiagonal (btScalar scale, TVStack &diagA)=0
virtual void | addScaledElasticForceDifferential (btScalar scale, const TVStack &dx, TVStack &df)=0
virtual void | addScaledExplicitForce (btScalar scale, TVStack &force)=0
virtual void | addScaledDampingForce (btScalar scale, TVStack &force)=0
virtual void | addScaledHessian (btScalar scale)
virtual btDeformableLagrangianForceType | getForceType ()=0
virtual void | reinitialize (bool nodeUpdated)
virtual int | getNumNodes ()
virtual void | addSoftBody (btSoftBody *psb)
virtual void | removeSoftBody (btSoftBody *psb)
virtual void | setIndices (const btAlignedObjectArray< btSoftBody::Node * > *nodes)
virtual btMatrix3x3 | Ds (int id0, int id1, int id2, int id3, const TVStack &dx)
virtual btMatrix3x3 | DsFromVelocity (const btSoftBody::Node *n0, const btSoftBody::Node *n1, const btSoftBody::Node *n2, const btSoftBody::Node *n3)
virtual void | testDerivative ()
virtual void | testHessian ()
virtual double | totalElasticEnergy (btScalar dt)
virtual double | totalDampingEnergy (btScalar dt)
virtual double | totalEnergy (btScalar dt)

## Public Attributes
btScalar | m_mu
btScalar | m_lambda
Public Attributes inherited from btDeformableLagrangianForce
btAlignedObjectArray< btSoftBody * > | m_softBodies
const btAlignedObjectArray< btSoftBody::Node * > * | m_nodes

## Detailed Description

Definition at line 28 of file btDeformableCorotatedForce.h.

## Member Typedef Documentation

## ◆ TVStack

typedef btAlignedObjectArray<btVector3> btDeformableCorotatedForce::TVStack

Definition at line 31 of file btDeformableCorotatedForce.h.

## Constructor & Destructor Documentation

## ◆ btDeformableCorotatedForce() [1/2]

btDeformableCorotatedForce::btDeformableCorotatedForce | ( |  | ) |
| inline

Definition at line 33 of file btDeformableCorotatedForce.h.

## ◆ btDeformableCorotatedForce() [2/2]

btDeformableCorotatedForce::btDeformableCorotatedForce | ( | btScalar | mu,
|  | btScalar | lambda
| ) |  |
| inline

Definition at line 37 of file btDeformableCorotatedForce.h.

## Member Function Documentation

## ◆ addScaledDampingForce()

virtual void btDeformableCorotatedForce::addScaledDampingForce | ( | btScalar | scale,
|  | TVStack & | force
| ) |  |
| inlinevirtual

Implements btDeformableLagrangianForce.

Definition at line 51 of file btDeformableCorotatedForce.h.

## ◆ addScaledDampingForceDifferential()

virtual void btDeformableCorotatedForce::addScaledDampingForceDifferential | ( | btScalar | scale,
|  | const TVStack & | dv,
|  | TVStack & | df
| ) |  |
| inlinevirtual

Implements btDeformableLagrangianForce.

Definition at line 112 of file btDeformableCorotatedForce.h.

## ◆ addScaledElasticForce()

virtual void btDeformableCorotatedForce::addScaledElasticForce | ( | btScalar | scale,
|  | TVStack & | force
| ) |  |
| inlinevirtual

Definition at line 55 of file btDeformableCorotatedForce.h.

## ◆ addScaledElasticForceDifferential()

virtual void btDeformableCorotatedForce::addScaledElasticForceDifferential | ( | btScalar | scale,
|  | const TVStack & | dx,
|  | TVStack & | df
| ) |  |
| inlinevirtual

Implements btDeformableLagrangianForce.

Definition at line 108 of file btDeformableCorotatedForce.h.

## ◆ addScaledExplicitForce()

virtual void btDeformableCorotatedForce::addScaledExplicitForce | ( | btScalar | scale,
|  | TVStack & | force
| ) |  |
| inlinevirtual

Implements btDeformableLagrangianForce.

Definition at line 46 of file btDeformableCorotatedForce.h.

## ◆ addScaledForces()

virtual void btDeformableCorotatedForce::addScaledForces | ( | btScalar | scale,
|  | TVStack & | force
| ) |  |
| inlinevirtual

Implements btDeformableLagrangianForce.

Definition at line 41 of file btDeformableCorotatedForce.h.

## ◆ buildDampingForceDifferentialDiagonal()

virtual void btDeformableCorotatedForce::buildDampingForceDifferentialDiagonal | ( | btScalar | scale,
|  | TVStack & | diagA
| ) |  |
| inlinevirtual

Implements btDeformableLagrangianForce.

Definition at line 116 of file btDeformableCorotatedForce.h.

## ◆ firstPiola()

void btDeformableCorotatedForce::firstPiola | ( | const btMatrix3x3 & | F,
|  | btMatrix3x3 & | P
| ) |  |
| inline

Definition at line 91 of file btDeformableCorotatedForce.h.

## ◆ getForceType()

virtual btDeformableLagrangianForceType btDeformableCorotatedForce::getForceType | ( |  | ) |
| inlinevirtual

Implements btDeformableLagrangianForce.

Definition at line 118 of file btDeformableCorotatedForce.h.

## Member Data Documentation

## ◆ m_lambda

btScalar btDeformableCorotatedForce::m_lambda

Definition at line 32 of file btDeformableCorotatedForce.h.

## ◆ m_mu

btScalar btDeformableCorotatedForce::m_mu

Definition at line 32 of file btDeformableCorotatedForce.h.

The documentation for this class was generated from the following file:

- btDeformableCorotatedForce.h